Name:           lwtools
Version:        4.11
Release:        1%{?dist}
Summary:        Cross-development tool chain for Motorola 6809 and Hitachi 6309

Group:          Development/Tools
License:        GPLv3
URL:            http://lwtools.projects.l-w.ca/
Source0:        http://lwtools.projects.l-w.ca/releases/lwtools/lwtools-%{version}.tar.gz

%description
LWTOOLS is a set of cross-development tools for the Motorola 6809 and
Hitachi 6309 microprocessors. It supports assembling to raw binaries,
CoCo LOADM binaries, and a proprietary object file format for later
linking. It also supports macros and file inclusion among other things.

%package doc
Summary:        Documentation for the LWTOOLS cross-development tool chain
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}

%description doc
The complete documentation for the LWTOOLS cross-development tool chain.


%prep
%setup -q


%build
export LDFLAGS=${LDFLAGS:-%__global_ldflags}
make %{?_smp_mflags} CFLAGS="%{optflags}"


%install
make install INSTALLDIR=%{buildroot}%{_bindir}/

mkdir -p %{buildroot}%{_docdir}/%{name}
mv docs/*.txt %{buildroot}%{_docdir}/%{name}
mv docs/manual %{buildroot}%{_docdir}/%{name}
cp -a 00README.txt %{buildroot}%{_docdir}/%{name}


%files
%{_bindir}/*
%dir %{_docdir}/%{name}
%license COPYING GPL3

%files doc
%{_docdir}/%{name}/*.txt
%{_docdir}/%{name}/manual


%changelog
* Tue Apr 14 2015 John W. Linville <linville@tuxdriver.com> 4.11-1
- Update for version 4.11 from upstream

* Wed Feb  4 2015 John W. Linville <linville@tuxdriver.com> 4.10-2
- Use license macro for files containing license information

* Fri Jun 13 2014 John W. Linville <linville@tuxdriver.com> 4.10-1
- Initial import
